### Enumeration

# Gio FileCopyFlags

since: 2.0

#### Declaration

    flags Gio.FileCopyFlags

#### Description

Flags used when copying or moving files.

Available since: 2.0

#### Members

`G_FILE_COPY_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.0
`G_FILE_COPY_OVERWRITE`

  Overwrite any existing files.

  - Value: `1`
  - Nickname: `overwrite`
  - Available since: 2.0
`G_FILE_COPY_BACKUP`

  Make a backup of any existing files.

  - Value: `2`
  - Nickname: `backup`
  - Available since: 2.0
`G_FILE_COPY_NOFOLLOW_SYMLINKS`

  Don’t follow symlinks.

  - Value: `4`
  - Nickname: `nofollow-symlinks`
  - Available since: 2.0
`G_FILE_COPY_ALL_METADATA`

  Copy all file metadata instead of just default set used for copy (see `GFileInfo`).

  - Value: `8`
  - Nickname: `all-metadata`
  - Available since: 2.0
`G_FILE_COPY_NO_FALLBACK_FOR_MOVE`

  Don’t use copy and delete fallback if native move not supported.

  - Value: `16`
  - Nickname: `no-fallback-for-move`
  - Available since: 2.0
`G_FILE_COPY_TARGET_DEFAULT_PERMS`

  Leaves target file with default perms, instead of setting the source file perms.

  - Value: `32`
  - Nickname: `target-default-perms`
  - Available since: 2.0
`G_FILE_COPY_TARGET_DEFAULT_MODIFIED_TIME`

  Use default modification timestamps instead of copying them from the source file. Since 2.80

  - Value: `64`
  - Nickname: `target-default-modified-time`
  - Available since: 2.0